Shm14 (Tomcat API Documentation)
Keywords: org.apache.jk.common.Shm14 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class Shm14

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.JniHandler
              org.apache.jk.common.Shm
                  org.apache.jk.common.Shm14

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

    public class Shm14

extends Shm

Shm implementation using JDK1.4 nio.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.jk.common.JniHandler
`apr, JK_HANDLE_JNI_DISPATCH, JK_HANDLE_SHM_DISPATCH, jkHome, MB_NOTE, MSG_NOTE, nativeJkHandlerP`

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`Shm14()`

Method Summary
`void` | `dumpScoreboard(java.lang.String file)`
`void` | `init()` You must call initNative() inside the component init()
`void` | `initCli()` Local initialization - for standalone use
`int` | `invoke(Msg msg, MsgContext ep)` Base implementation for invoke.
`static void` | `main(java.lang.String[] args)`
`void` | `resetScoreboard()`

Methods inherited from class org.apache.jk.common.Shm
`destroy, execute, registerTomcat, setDump, setFile, setGroup, setHelp, setHost, setPort, setReset, setSize, setUnixSocket, setUnregister, unRegisterTomcat`

Methods inherited from class org.apache.jk.common.JniHandler
`appendString, createMsgContext, destroyJkComponent, getJkHome, initJkComponent, initNative, nativeDispatch, pause, recycleNative, resume, setJkHome, setNativeAttribute, setNativeEndpoint`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, postDeregister, postRegister, preDeregister, preRegister, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shm14

    public Shm14()

Method Detail

### init

    public void init()

  Description copied from class: `JniHandler`
  You must call initNative() inside the component init()

  Overrides:
    `init` in class `Shm`

### dumpScoreboard

    public void dumpScoreboard(java.lang.String file)

  Overrides:
    `dumpScoreboard` in class `Shm`

### resetScoreboard

    public void resetScoreboard()
                         throws java.io.IOException

  Overrides:
    `resetScoreboard` in class `Shm`
  Throws:
    `java.io.IOException`

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Description copied from class: `JniHandler`
  Base implementation for invoke. Dispatch the action to the native code, where invoke() is called on the wrapped jk_bean.

  Overrides:
    `invoke` in class `Shm`
  Throws:
    `java.io.IOException`

### initCli

    public void initCli()

  Description copied from class: `Shm`
  Local initialization - for standalone use

  Overrides:
    `initCli` in class `Shm`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.